#watch-frame{
    width: 650px;
    height: 650px;
    overflow: hidden;
    background-color: white;
}

#frame-wrapper{
    width: 600px;
    height: 650px;
}

.watch-photo{
    height: 250px;
    background-color: white;
}

#svg-div{
    opacity: 0;
    position: absolute;
    z-index: -20;
    height: 0;
    overflow: hidden;
}

#top-controls{
    z-index: 20;
    position: relative;
}

#settings {
    z-index: 20;
    position: relative;
    background-color: rgba(255, 255, 255, 0.75);
}

@media (max-width: 800px) {
    #frame-wrapper{
        width: 450px;
        height: 480px;
    }

    #watch-frame{
        -ms-zoom: 0.75;
        -moz-transform: scale(0.75);
        -moz-transform-origin: 0 0;
        -o-transform: scale(0.75);
        -o-transform-origin: 0 0;
        -webkit-transform: scale(0.75);
        -webkit-transform-origin: 0 0;
    }
}


@media (max-width: 500px) {

    #frame-wrapper{
        width: 300px;
        height: 325px;
    }
    
    #watch-frame{
        -ms-zoom: 0.5;
        -moz-transform: scale(0.5);
        -moz-transform-origin: 0 0;
        -o-transform: scale(0.5);
        -o-transform-origin: 0 0;
        -webkit-transform: scale(0.5);
        -webkit-transform-origin: 0 0;
    }

    .watch-photo{
        height: 150px;
        background-color: white;
    }

}

#box-background-image{
    position: absolute;
    top: -340px;
    left: -131px;
    width: 656px;
    z-index: -2;
}

#canvas-container{
    position: relative;
    height: 400px;
    margin-top: 136px;
    margin-left: 80px;
}

.watch-button{
    height: 3em;
    border: none;
}

.watch-canvas{
    position: absolute;
    top: 20px;
    left: 20px;
}

.preset-thumbnail{
    width: 100px;
    cursor: pointer;
}

#second-hand{
    filter: drop-shadow(2px 10px 5px #000000);
}

#minute-hand{
    filter: drop-shadow(2px 6px 4px #000000);
}

#hour-hand{
    filter: drop-shadow(1px 2px 3px #000000);
}

#dial{
    filter: drop-shadow(1px 4px 5px #000000);
}

#shutter-1{
    filter: drop-shadow(1px 3px 10px #000000);
}

#shutter-2{
    filter: drop-shadow(1px 2px 10px #000000);
}


.arrow{
    opacity: .2;
    user-select: none;
    cursor: pointer;
    z-index: 13;

    -webkit-touch-callout: none; /* Disables the long-press menu in iOS Safari */
    -webkit-user-drag: none;     /* Prevents dragging in older Webkit browsers */
    user-select: none;           /* Prevents text selection on the image */
}

.arrow:hover{
    opacity: 1;
}

#visibility-control-label{
    position: absolute;
    writing-mode: vertical-lr;

    font-size: large;
    font-family: 'Courier Prime', 'Courier New', 'Courier', monospace;
    font-weight: 600;
    transform: rotate(-180deg);
    direction: ltr;
    left: -90px;
    height: 400px;
    text-align: center;
    margin: 0;
}

#visibility-control{
    position: absolute;
    left: -60px;
    writing-mode: vertical-lr;
    direction: rtl;
    height: 400px;
}

input[type="range"]::-moz-range-track {
  background: #9c9c9c;
  width: 30px;
}



input[type="range"]::-moz-range-thumb {
    border: none;
    border-radius: 0;
    background-color: #ffffff00;
    background-image: url("./media/camera.svg");
    background-size: 25px;
    background-repeat: no-repeat;
    height: 35px;
    width: 25px;
}

#watch-bezel{
    position: absolute;
    user-select: none;
    left: -28px;
    top: -28px;
    width: 456px;
    z-index: 12;
    filter: drop-shadow(2px 2px 5px #000000);
}

#watch-bracelet{
    position: absolute;
    user-select: none;
    left: -29px;
    top: -169px;
    width: 456px;
    z-index: -1;
    filter: drop-shadow(2px 2px 5px #000000);
}

#watch-case {
    position: absolute;
    user-select: none;
    left: -32px;
    top: -67px;
    width: 503px;
    z-index: 0;
    filter: drop-shadow(2px 2px 5px #000000);
}

#logo {
    position: absolute;
    user-select: none;
    left: 20px;
    width: 360px;
    top: 20px;
    z-index: 5;
}

#shutter-crown{
    position: absolute;
    user-select: none;
    rotate: 60deg;
    left: 353px;
    top: 46px;
    width: 75px;
    z-index: 0;

    filter: drop-shadow(2px 1px 5px #000000);
}

#shutter-arrow-out{
    position: absolute;
    rotate: 60deg;
    top: 27px;
    left: 440px;
    width: 30px;
}

#shutter-arrow-in{
    position: absolute;
    rotate: 60deg;
    top: 60px;
    left: 384px;
    width: 30px;
}

#shutter-arrow-up{
    position: absolute;
    rotate: 60deg;
    top: 33px;
    left: 409px;
    width: 35px;
}

#shutter-arrow-down{
    position: absolute;
    rotate: 60deg;
    top: 68px;
    left: 429px;
    width: 35px;
}


#movement-crown{
    position: absolute;
    user-select: none;
    rotate: 120deg;
    left: 350px;
    top: 266px;
    width: 75px;
    z-index: 0;

    filter: drop-shadow(2px 1px 5px #000000);
}

#movement-arrow-out{
    position: absolute;
    rotate: 120deg;
    left: 437px;
    top: 320px;
    width: 30px;
}

#movement-arrow-in{
    position: absolute;
    rotate: 120deg;
    left: 397px;
    top: 298px;
    width: 30px;
}

#movement-arrow-up{
    position: absolute;
    rotate: 120deg;
    left: 444px;
    top: 313px;
    width: 35px;
}

#movement-arrow-down{
    position: absolute;
    rotate: 120deg;
    left: 422px;
    top: 348px;
    width: 35px;
}

#movement-arrow-up-coarse{
    position: absolute;
    rotate: 120deg;
    left: 444px;
    top: 266px;
    width: 40px;
}

#movement-arrow-down-coarse{
    position: absolute;
    rotate: 120deg;
    left: 386px;
    top: 368px;
    width: 40px;
}